Bug 111395 - Very poor file system performance for ext3, jfs, and reiserfs
Very poor file system performance for ext3, jfs, and reiserfs
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-02 18:38 EST by brid ges
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description brid ges 2003-12-02 18:38:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)

Description of problem:
Dramatic drop in read and write speeds for ext3, reiserfs, and jfs
when Fedora Core 1 is compared to RHv9 (tested via bonnie++ 1.03c)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create file system  (first ext3, then jfs and then try reiserfs)
2.run bonnie++ 1.03 tests 
3.compare tests with RH9.

Actual Results:  Dramatic drop in performance.  Particularly for jfs &
Seq Block reads drop 15 to 20%.   Seq Block writes (output) drop
to values of 1/2 or less of what is obtained with RHv9.

To read this level I set vm.max-readahead=256 and vm.min-readahead=128
within /etc/sysctl.conf.   I tried using the bdflush values from RH9
but this didn't help Fedora Core performance.  

Expected Results:  Using a 3ware 7500 card I get over 200Mbps block reads
with jfs under RH9  reiserfs and ext3 are in the 190Mbps range under
RH9.   Seq Block Writes for RH9 are 50-60 Mbps range for jfs &
reisderfs with ext3 only about 19Mbps.   Under Fedora, the writes are
in the 13Mbps to 19Mbps range for all file system types.

Additional info:

I'm using dual Xeon systems with 6GB of memory.
Thus my bonnie++ command looks like this:

./bonnie++ -s 13g -d `pwd`/files &> /tmp/log.results
Comment 1 Darin May 2003-12-13 22:49:56 EST
I and another person with different nVidia cards are seeing poor
scrolling and screensaver performance.  I wonder if this is a core
kernel performance issue and not an i/o subsystem one.
Comment 2 Dave Jones 2004-06-19 12:01:57 EDT
things should be a lot better with the current errata kernels.
Comment 3 David Lawrence 2004-09-29 15:47:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.